Subject: RE: [rohc] P bit role on INPUT-BYTES

From: "West, Mark" <[email-masked]>
Date: Tue, 24 Jul 2007 13:17:32 +0100

Hi Ranjith,
 
You are correct to say that the P-bit does *not* affect the reading of data in the INPUT-BYTES instruction.  INPUT-BYTES always returns only complete bytes, bit-for-bit as found in the input data, irrespective of the P-, F- or H- bits.  (The text is not perhaps quite as explicit about this as it could be!)

Cheers,
 
Mark.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: 24 July 2007 11:17
To: [email-masked]
Subject: [rohc] P bit role on INPUT-BYTES

Hi all,

I have a doubt in P-Bit of Input-Bit-Order register :

As per RFC 3320 , section 8.2 :-
      "Note that the INPUT-BITS and INPUT-HUFFMAN instructions retrieve a
   stream of individual compressed bits from the dispatcher.  To provide
   bitwise compatibility with various well-known compression algorithms,
   the input_bit_order register can modify the order in which individual
   bits are passed within a byte."

This points to the fact that P-Bit will not effect Input-Byte
instruction.
The register Input-Bit-Order shall effect only the "Input-Bits" and
"Input-Huffmann" instructions. Please clarify if the value of P-Bit
effect the order of reading bits in byte for INPUT-BYTES instruction.
(Some parts of the same section seems to suggest that P-Bit will
effect the order of bits in all the INPUT instructions.)

Thanks and Regards
Ranjith Reddy. V
Extn: 9134
Location : F4-122

***********************  Aricent- Confidential   *********************** 

"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of 

the individual to whom it is addressed. It may contain privileged or confidential information and should not be 

circulated or used for any purpose other than for what it is intended. If you have received this message in error, 

please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly

prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for 

loss or damage arising from the use of the information transmitted by this email including damage from virus."

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: [email-masked]
Date: Tue, 24 Jul 2007 18:42:52 +0530

Hi Mark,

Thank you for your response.

But  I have one doubt. 

RFC 3320 states 
"The P-bit controls the order in which bits are passed from the
   dispatcher to the INPUT instructions.  If set to 0, it indicates that
   the bits within an individual byte are passed to the INPUT
   instructions in MSB to LSB order.  If it is set to 1, the bits are
   passed in LSB to MSB order"

INPUT-BYTES instruction reads byte by byte from Decompressor dispatcher.

Is it means "if P bit is set Decompressor dispatcher provides the byte in 
the reveres order (LSB to MSB) "

i.e. If P bit is set after reading the byte from DD,  UDVM need to reverse 
the bits in the byte to get the correct value of the byte.

Please comment on this.

Thankyou once again

Thanks and Regards
Ranjith Reddy. V
Extn: 9134
Location : F4-122

"West, Mark" <[email-masked]> 
07/24/2007 05:47 PM

To
Ranjith Reddy V/BLR/HSS@HSS, <[email-masked]>
cc

Subject
RE: [rohc] P bit role on INPUT-BYTES

Hi Ranjith,
 
You are correct to say that the P-bit does *not* affect the reading of 
data in the INPUT-BYTES instruction.  INPUT-BYTES always returns only 
complete bytes, bit-for-bit as found in the input data, irrespective of 
the P-, F- or H- bits.  (The text is not perhaps quite as explicit about 
this as it could be!)

Cheers,
 
Mark.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: 24 July 2007 11:17
To: [email-masked]
Subject: [rohc] P bit role on INPUT-BYTES

Hi all,

Thanks and Regards
Ranjith Reddy. V
Extn: 9134
Location : F4-122

***********************  Aricent- Confidential   *********************** 
"DISCLAIMER: This message is proprietary to Aricent and is intended solely 
for the use of 
the individual to whom it is addressed. It may contain privileged or 
confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If 
you have received this message in error, 
please notify the originator immediately. If you are not the intended 
recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of 
this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this 
email including damage from virus."